---
url: https://docs.corbitaltech.dev/products/whatsbotapi/usage.md
---
# Usage of the API

Example commands of the API are shown below, along with their **request-response examples**.

::: warning Notice

***

**If you are not familiar with REST APIs, we strongly suggest that you hire a professional, in order to have your third party connections done. Familiarization with REST APIs is a prerequisite for this item and getting you into its learning falls outside the scope of the support of this item..**
:::

### 📇 Sample usage (example command)

**Scenario**: Your token is `h4BwU34qju0DzjtvNlJomMAUejOgsuBQZwe12WEt` and that you need to list **all available customers** of your Perfex's installation, through a **cURL request**.

**Use Case**: You will need to execute the following terminal command:

```js
curl -H "Authorization: h4BwU34qju0DzjtvNlJomMAUejOgsuBQZwe12WEt" https://yourdomain.com/whatsbotapi/v1/whatsbotsettings
```

The response that you are supposed to receive, under a **200 OK status code**, will be similar to the following:

```json

  "status": true,
  "data": {
    "autolead_settings": {
      "enable": "0",
      "leads_status": "1",
      "leads_source": "3",
      "leads_assigned": "5"
    },
    "webhook_settings": {
      "enable": "0",
      "webhook_resend_method": "POST",
      "webhooks_url": "https://mywebhook-url.com/whatsapp_webhook"
    },
    "notification_sound": "0"
  },
  "message": "Data retrieved successfully"
}
```
